<?php
// This file was auto-generated from sdk-root/src/data/braket/2019-09-01/api-2.json
return [ 'version' => '2.0', 'metadata' => [ 'apiVersion' => '2019-09-01', 'endpointPrefix' => 'braket', 'jsonVersion' => '1.1', 'protocol' => 'rest-json', 'serviceFullName' => 'Braket', 'serviceId' => 'Braket', 'signatureVersion' => 'v4', 'signingName' => 'braket', 'uid' => 'braket-2019-09-01', ], 'operations' => [ 'CancelQuantumTask' => [ 'name' => 'CancelQuantumTask', 'http' => [ 'method' => 'PUT', 'requestUri' => '/quantum-task/{quantumTaskArn}/cancel', 'responseCode' => 200, ], 'input' => [ 'shape' => 'CancelQuantumTaskRequest', ], 'output' => [ 'shape' => 'CancelQuantumTaskResponse', ], 'errors' => [ [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ConflictException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'InternalServiceException', ], [ 'shape' => 'ValidationException', ], ], 'idempotent' => true, ], 'CreateQuantumTask' => [ 'name' => 'CreateQuantumTask', 'http' => [ 'method' => 'POST', 'requestUri' => '/quantum-task', 'responseCode' => 201, ], 'input' => [ 'shape' => 'CreateQuantumTaskRequest', ], 'output' => [ 'shape' => 'CreateQuantumTaskResponse', ], 'errors' => [ [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'DeviceOfflineException', ], [ 'shape' => 'InternalServiceException', ], [ 'shape' => 'ServiceQuotaExceededException', ], [ 'shape' => 'ValidationException', ], ], ], 'GetDevice' => [ 'name' => 'GetDevice', 'http' => [ 'method' => 'GET', 'requestUri' => '/device/{deviceArn}', 'responseCode' => 200, ], 'input' => [ 'shape' => 'GetDeviceRequest', ], 'output' => [ 'shape' => 'GetDeviceResponse', ], 'errors' => [ [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'InternalServiceException', ], [ 'shape' => 'ValidationException', ], ], ], 'GetQuantumTask' => [ 'name' => 'GetQuantumTask', 'http' => [ 'method' => 'GET', 'requestUri' => '/quantum-task/{quantumTaskArn}', 'responseCode' => 200, ], 'input' => [ 'shape' => 'GetQuantumTaskRequest', ], 'output' => [ 'shape' => 'GetQuantumTaskResponse', ], 'errors' => [ [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'InternalServiceException', ], [ 'shape' => 'ValidationException', ], ], ], 'SearchDevices' => [ 'name' => 'SearchDevices', 'http' => [ 'method' => 'POST', 'requestUri' => '/devices', 'responseCode' => 200, ], 'input' => [ 'shape' => 'SearchDevicesRequest', ], 'output' => [ 'shape' => 'SearchDevicesResponse', ], 'errors' => [ [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'InternalServiceException', ], [ 'shape' => 'ValidationException', ], ], ], 'SearchQuantumTasks' => [ 'name' => 'SearchQuantumTasks', 'http' => [ 'method' => 'POST', 'requestUri' => '/quantum-tasks', 'responseCode' => 200, ], 'input' => [ 'shape' => 'SearchQuantumTasksRequest', ], 'output' => [ 'shape' => 'SearchQuantumTasksResponse', ], 'errors' => [ [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'InternalServiceException', ], [ 'shape' => 'ValidationException', ], ], ], ], 'shapes' => [ 'AccessDeniedException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 403, 'senderFault' => true, ], 'exception' => true, ], 'CancelQuantumTaskRequest' => [ 'type' => 'structure', 'required' => [ 'clientToken', 'quantumTaskArn', ], 'members' => [ 'clientToken' => [ 'shape' => 'String64', 'idempotencyToken' => true, ], 'quantumTaskArn' => [ 'shape' => 'QuantumTaskArn', 'location' => 'uri', 'locationName' => 'quantumTaskArn', ], ], ], 'CancelQuantumTaskResponse' => [ 'type' => 'structure', 'required' => [ 'cancellationStatus', 'quantumTaskArn', ], 'members' => [ 'cancellationStatus' => [ 'shape' => 'CancellationStatus', ], 'quantumTaskArn' => [ 'shape' => 'QuantumTaskArn', ], ], ], 'CancellationStatus' => [ 'type' => 'string', 'enum' => [ 'CANCELLED', 'CANCELLING', ], ], 'ConflictException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 409, 'senderFault' => true, ], 'exception' => true, ], 'CreateQuantumTaskRequest' => [ 'type' => 'structure', 'required' => [ 'action', 'clientToken', 'deviceArn', 'outputS3Bucket', 'outputS3KeyPrefix', 'shots', ], 'members' => [ 'action' => [ 'shape' => 'JsonValue', 'jsonvalue' => true, ], 'clientToken' => [ 'shape' => 'String64', 'idempotencyToken' => true, ], 'deviceArn' => [ 'shape' => 'DeviceArn', ], 'deviceParameters' => [ 'shape' => 'CreateQuantumTaskRequestdeviceParametersJsonValue', 'jsonvalue' => true, ], 'outputS3Bucket' => [ 'shape' => 'CreateQuantumTaskRequestoutputS3BucketString', ], 'outputS3KeyPrefix' => [ 'shape' => 'CreateQuantumTaskRequestoutputS3KeyPrefixString', ], 'shots' => [ 'shape' => 'CreateQuantumTaskRequestshotsLong', ], ], ], 'CreateQuantumTaskRequestdeviceParametersJsonValue' => [ 'type' => 'string', 'max' => 2048, 'min' => 1, ], 'CreateQuantumTaskRequestoutputS3BucketString' => [ 'type' => 'string', 'max' => 63, 'min' => 3, ], 'CreateQuantumTaskRequestoutputS3KeyPrefixString' => [ 'type' => 'string', 'max' => 1024, 'min' => 1, ], 'CreateQuantumTaskRequestshotsLong' => [ 'type' => 'long', 'box' => true, 'min' => 0, ], 'CreateQuantumTaskResponse' => [ 'type' => 'structure', 'required' => [ 'quantumTaskArn', ], 'members' => [ 'quantumTaskArn' => [ 'shape' => 'QuantumTaskArn', ], ], ], 'DeviceArn' => [ 'type' => 'string', 'max' => 256, 'min' => 1, ], 'DeviceOfflineException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 424, 'senderFault' => true, ], 'exception' => true, ], 'DeviceStatus' => [ 'type' => 'string', 'enum' => [ 'OFFLINE', 'ONLINE', ], ], 'DeviceSummary' => [ 'type' => 'structure', 'required' => [ 'deviceArn', 'deviceName', 'deviceStatus', 'deviceType', 'providerName', ], 'members' => [ 'deviceArn' => [ 'shape' => 'DeviceArn', ], 'deviceName' => [ 'shape' => 'String', ], 'deviceStatus' => [ 'shape' => 'DeviceStatus', ], 'deviceType' => [ 'shape' => 'DeviceType', ], 'providerName' => [ 'shape' => 'String', ], ], ], 'DeviceSummaryList' => [ 'type' => 'list', 'member' => [ 'shape' => 'DeviceSummary', ], ], 'DeviceType' => [ 'type' => 'string', 'enum' => [ 'QPU', 'SIMULATOR', ], ], 'GetDeviceRequest' => [ 'type' => 'structure', 'required' => [ 'deviceArn', ], 'members' => [ 'deviceArn' => [ 'shape' => 'DeviceArn', 'location' => 'uri', 'locationName' => 'deviceArn', ], ], ], 'GetDeviceResponse' => [ 'type' => 'structure', 'required' => [ 'deviceArn', 'deviceCapabilities', 'deviceName', 'deviceStatus', 'deviceType', 'providerName', ], 'members' => [ 'deviceArn' => [ 'shape' => 'DeviceArn', ], 'deviceCapabilities' => [ 'shape' => 'JsonValue', 'jsonvalue' => true, ], 'deviceName' => [ 'shape' => 'String', ], 'deviceStatus' => [ 'shape' => 'DeviceStatus', ], 'deviceType' => [ 'shape' => 'DeviceType', ], 'providerName' => [ 'shape' => 'String', ], ], ], 'GetQuantumTaskRequest' => [ 'type' => 'structure', 'required' => [ 'quantumTaskArn', ], 'members' => [ 'quantumTaskArn' => [ 'shape' => 'QuantumTaskArn', 'location' => 'uri', 'locationName' => 'quantumTaskArn', ], ], ], 'GetQuantumTaskResponse' => [ 'type' => 'structure', 'required' => [ 'createdAt', 'deviceArn', 'deviceParameters', 'outputS3Bucket', 'outputS3Directory', 'quantumTaskArn', 'shots', 'status', ], 'members' => [ 'createdAt' => [ 'shape' => 'SyntheticTimestamp_date_time', ], 'deviceArn' => [ 'shape' => 'DeviceArn', ], 'deviceParameters' => [ 'shape' => 'JsonValue', 'jsonvalue' => true, ], 'endedAt' => [ 'shape' => 'SyntheticTimestamp_date_time', ], 'failureReason' => [ 'shape' => 'String', ], 'outputS3Bucket' => [ 'shape' => 'String', ], 'outputS3Directory' => [ 'shape' => 'String', ], 'quantumTaskArn' => [ 'shape' => 'QuantumTaskArn', ], 'shots' => [ 'shape' => 'Long', ], 'status' => [ 'shape' => 'QuantumTaskStatus', ], ], ], 'InternalServiceException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 500, ], 'exception' => true, 'fault' => true, ], 'JsonValue' => [ 'type' => 'string', ], 'Long' => [ 'type' => 'long', 'box' => true, ], 'QuantumTaskArn' => [ 'type' => 'string', 'max' => 256, 'min' => 1, ], 'QuantumTaskStatus' => [ 'type' => 'string', 'enum' => [ 'CANCELLED', 'CANCELLING', 'COMPLETED', 'CREATED', 'FAILED', 'QUEUED', 'RUNNING', ], ], 'QuantumTaskSummary' => [ 'type' => 'structure', 'required' => [ 'createdAt', 'deviceArn', 'outputS3Bucket', 'outputS3Directory', 'quantumTaskArn', 'shots', 'status', ], 'members' => [ 'createdAt' => [ 'shape' => 'SyntheticTimestamp_date_time', ], 'deviceArn' => [ 'shape' => 'DeviceArn', ], 'endedAt' => [ 'shape' => 'SyntheticTimestamp_date_time', ], 'outputS3Bucket' => [ 'shape' => 'String', ], 'outputS3Directory' => [ 'shape' => 'String', ], 'quantumTaskArn' => [ 'shape' => 'QuantumTaskArn', ], 'shots' => [ 'shape' => 'Long', ], 'status' => [ 'shape' => 'QuantumTaskStatus', ], ], ], 'QuantumTaskSummaryList' => [ 'type' => 'list', 'member' => [ 'shape' => 'QuantumTaskSummary', ], ], 'ResourceNotFoundException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 404, 'senderFault' => true, ], 'exception' => true, ], 'SearchDevicesFilter' => [ 'type' => 'structure', 'required' => [ 'name', 'values', ], 'members' => [ 'name' => [ 'shape' => 'SearchDevicesFilternameString', ], 'values' => [ 'shape' => 'SearchDevicesFiltervaluesString256List', ], ], ], 'SearchDevicesFilternameString' => [ 'type' => 'string', 'max' => 64, 'min' => 1, ], 'SearchDevicesFiltervaluesString256List' => [ 'type' => 'list', 'member' => [ 'shape' => 'String256', ], 'max' => 10, 'min' => 1, ], 'SearchDevicesRequest' => [ 'type' => 'structure', 'required' => [ 'filters', ], 'members' => [ 'filters' => [ 'shape' => 'SearchDevicesRequestfiltersSearchDevicesFilterList', ], 'maxResults' => [ 'shape' => 'SearchDevicesRequestmaxResultsInteger', ], 'nextToken' => [ 'shape' => 'String', ], ], ], 'SearchDevicesRequestfiltersSearchDevicesFilterList' => [ 'type' => 'list', 'member' => [ 'shape' => 'SearchDevicesFilter', ], 'max' => 10, 'min' => 0, ], 'SearchDevicesRequestmaxResultsInteger' => [ 'type' => 'integer', 'box' => true, 'max' => 100, 'min' => 1, ], 'SearchDevicesResponse' => [ 'type' => 'structure', 'required' => [ 'devices', ], 'members' => [ 'devices' => [ 'shape' => 'DeviceSummaryList', ], 'nextToken' => [ 'shape' => 'String', ], ], ], 'SearchQuantumTasksFilter' => [ 'type' => 'structure', 'required' => [ 'name', 'operator', 'values', ], 'members' => [ 'name' => [ 'shape' => 'String64', ], 'operator' => [ 'shape' => 'SearchQuantumTasksFilterOperator', ], 'values' => [ 'shape' => 'SearchQuantumTasksFiltervaluesString256List', ], ], ], 'SearchQuantumTasksFilterOperator' => [ 'type' => 'string', 'enum' => [ 'BETWEEN', 'EQUAL', 'GT', 'GTE', 'LT', 'LTE', ], ], 'SearchQuantumTasksFiltervaluesString256List' => [ 'type' => 'list', 'member' => [ 'shape' => 'String256', ], 'max' => 10, 'min' => 1, ], 'SearchQuantumTasksRequest' => [ 'type' => 'structure', 'required' => [ 'filters', ], 'members' => [ 'filters' => [ 'shape' => 'SearchQuantumTasksRequestfiltersSearchQuantumTasksFilterList', ], 'maxResults' => [ 'shape' => 'SearchQuantumTasksRequestmaxResultsInteger', ], 'nextToken' => [ 'shape' => 'String', ], ], ], 'SearchQuantumTasksRequestfiltersSearchQuantumTasksFilterList' => [ 'type' => 'list', 'member' => [ 'shape' => 'SearchQuantumTasksFilter', ], 'max' => 10, 'min' => 0, ], 'SearchQuantumTasksRequestmaxResultsInteger' => [ 'type' => 'integer', 'box' => true, 'max' => 100, 'min' => 1, ], 'SearchQuantumTasksResponse' => [ 'type' => 'structure', 'required' => [ 'quantumTasks', ], 'members' => [ 'nextToken' => [ 'shape' => 'String', ], 'quantumTasks' => [ 'shape' => 'QuantumTaskSummaryList', ], ], ], 'ServiceQuotaExceededException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 402, 'senderFault' => true, ], 'exception' => true, ], 'String' => [ 'type' => 'string', ], 'String256' => [ 'type' => 'string', 'max' => 256, 'min' => 1, ], 'String64' => [ 'type' => 'string', 'max' => 64, 'min' => 1, ], 'SyntheticTimestamp_date_time' => [ 'type' => 'timestamp', 'timestampFormat' => 'iso8601', ], 'ThrottlingException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 429, 'senderFault' => true, ], 'exception' => true, ], 'ValidationException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 400, 'senderFault' => true, ], 'exception' => true, ], ],];
